/*
    slforum version 1.x - Simple chat room usable via telnet.
    Copyright (C) 2000 Jeremy D. Monin, Dan Chin, Matt Lochansky
	(forum@shadowlands.org).
    Based on jdkchat version 1.3, J.D.Koftinoff Software, Ltd. (GPL'd)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __PASSWD_DB_INC_H
#define __PASSWD_DB_INC_H 1


#ifdef __cplusplus
extern "C" {
#else
  typedef enum { false=0, true=1 } bool;   /* cough cough */
#endif

  const char *slf_virtuser_get_dbfname(void);
  void slf_virtuser_set_dbfname(const char *newfname);

  struct passwd *slf_virtuser_get_info
	(const char*name, const char*guess_of_pw, bool dynalloc);

  bool slf_virtuser_put_info
	(const struct passwd *udata);

  bool slf_virtuser_remove
	(const char *uname);

  const struct passwd *slf_virtuser_getfirst(void);
  const struct passwd *slf_virtuser_getnext(void);
  void slf_virtuser_getstop(void);

  const char* slf_cryptnewpw
	(const char *unenc_pw);


#ifdef __cplusplus
	   }
#endif	/* defined __cplusplus */
#endif	/* ndef'd __PASSWD_DB_INC_H */
